### Method

# Vips Image sink_tile

#### Declaration [src]

    int
    vips_sink_tile (
      VipsImage* im,
      int tile_width,
      int tile_height,
      VipsStartFn start_fn,
      VipsGenerateFn generate_fn,
      VipsStopFn stop_fn,
      void* a,
      void* b
    )

#### Description [src]

Loops over an image. `generate_fn` is called for every pixel in the image, with the `reg` argument being a region of calculated pixels.

Each set of pixels is `tile_width` by `tile_height` pixels (less at the image edges). This is handy for things like writing a tiled TIFF image, where tiles have to be generated with a certain size.

See also

`vips_sink()`, `vips_get_tile_size()`.

#### Parameters

`tile_width`

  Type: `int`

  Tile width.

`tile_height`

  Type: `int`

  Tile height.

`start_fn`

  Type: `VipsStartFn`

  Start sequences with this function.

`generate_fn`

  Type: `VipsGenerateFn`

  Generate pixels with this function.

`stop_fn`

  Type: `VipsStopFn`

  Stop sequences with this function.

`a`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`b`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `int`

0 on success, or -1 on error.